#!/bin/bash

source ../dmp_env.sh

today=${ScheduleTime:-$1}

start_time=$(date +"%Y-%m-%d 00:00:00" -d "-7 days $today")
end_time=$(date +"%Y-%m-%d 23:59:59" -d "-1 days $today")

java -cp ../${JAR} mobvista.dmp.datasource.rtdmp.RTDmpAlter "${start_time}" "${end_time}"

if [[ $? -ne 0 ]]; then
    exit 255
fi